Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.policy
Class PolicyItem

    java.lang.Object
      |
      +--com.bea.p13n.entitlements.policy.PolicyItem

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  RolePolicyItem, SecurityPolicyItem

public class PolicyItem
extends Object
implements Serializable, Cloneable

This base class encapsulates the information common to security policies and role policies. It is used to collect and hold security policy attributes during the process of building and managing policies.

See Also:
  Serialized Form

Constructor Summary
`PolicyItem()`
`PolicyItem(String anEntAppName, String aWebAppName, String aResourceId, List aUserList, List aGroupList)`
`PolicyItem(String anEntAppName, String aWebAppName, String aResourceId, List aUserList, List aGroupList, P13nContextHandler aContextHandler)`

Method Summary
`Object` | `clone()`
`P13nContextHandler` | `getContextHandler()`
`String` | `getEntAppName()`
`List` | `getGroupList()` Retrieves an existing list of group names from a policy entitlement expression.
`int` | `getPolicyUser()`
`String` | `getResourceId()`
`List` | `getUserList()` Retrieves an existing list of user names from a policy entitlement expression.
`String` | `getWebAppName()`
`void` | `setContextHandler(P13nContextHandler aP13nContextHandler)`
`void` | `setEntAppName(String anEntAppName)`
`void` | `setGroupList(List aGroupList)` Update the value of the group list in this object.
`void` | `setPolicyUser(int aPolicyUser)`
`void` | `setResourceId(String aResourceId)`
`void` | `setUserList(List aUserList)` Update the value of the user list in this object.
`void` | `setWebAppName(String aWebAppName)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyItem

    public PolicyItem()

### PolicyItem

    public PolicyItem(String anEntAppName,
                      String aWebAppName,
                      String aResourceId,
                      List aUserList,
                      List aGroupList)

### PolicyItem

    public PolicyItem(String anEntAppName,
                      String aWebAppName,
                      String aResourceId,
                      List aUserList,
                      List aGroupList,
                      P13nContextHandler aContextHandler)

Method Detail

### setEntAppName

    public void setEntAppName(String anEntAppName)

### getEntAppName

    public String getEntAppName()

### setWebAppName

    public void setWebAppName(String aWebAppName)

### getWebAppName

    public String getWebAppName()

### setResourceId

    public void setResourceId(String aResourceId)

### getResourceId

    public String getResourceId()

### setPolicyUser

    public void setPolicyUser(int aPolicyUser)

### getPolicyUser

    public int getPolicyUser()

### setContextHandler

    public void setContextHandler(P13nContextHandler aP13nContextHandler)

### getContextHandler

    public P13nContextHandler getContextHandler()

### setUserList

    public void setUserList(List aUserList)

  Update the value of the user list in this object. Subsequently, the persisted policy may be updated using the RolePolicyManager or SecurityPolicyManager, allowing the list of users in the entitlement expression to be rewritten.

  Parameters:
    `aUserList` - A complete list of updated user names for the policy

### getUserList

    public List getUserList()

  Retrieves an existing list of user names from a policy entitlement expression.

  Returns:
    A complete list of user names from the policy

### setGroupList

    public void setGroupList(List aGroupList)

  Update the value of the group list in this object. Subsequently, the persisted policy may be updated using the RolePolicyManager or SecurityPolicyManager, allowing the list of groups in the entitlement expression to be rewritten.

  Parameters:
    `aGroupList` - A complete list of updated group names for the policy

### getGroupList

    public List getGroupList()

  Retrieves an existing list of group names from a policy entitlement expression.

  Returns:
    A complete list of group names from the policy

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
    `CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved